require 'phi'
require 'rdb'

cds = RDB::ClientDataSet.new
cds.field_defs.add( "field1" , RDB::FT_INTEGER )
cds.field_defs.add( "field2" , RDB::FT_STRING  , 10 )
cds.index_defs.add( "IntIndex", "field1"  )
cds.create_data_set
p cds
p cds.field_defs
p cds.field_defs.to_a
p cds.index_defs
p cds.index_defs.to_a
cds.display
